#!/usr/bin/env bash
set -e

virtualenv=$1
n=$2
threshold=$3

if [ -d $virtualenv ]; then
  source $virtualenv/bin/activate
fi

ARGS="$n $threshold"


if [ ! -d $virtualenv ]; then
  echo "Virtualenv not found" > demo_failure.txt
  exit 0
fi


source $virtualenv/bin/activate
ipol.py input_0.png $ARGS
